Get List of Sub-Wallet Deposits
curl --request GET \
--url https://api.openxswitch.com/v1/sub-wallet/deposit/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/sub-wallet/deposit/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/sub-wallet/deposit/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "DEP12345",
"destination": "on_chain",
"workspaceId": "344444....",
"fromWalletId": "99902038302....",
"toWalletId": "042038302....",
"coin": "USDT",
"chain": "ERC20",
"amount": 0.05,
"network": "Ethereum",
"status": "pending",
"networkFee": 0,
"confirmation": 3,
"createdAt": "2023-12-31T23:59:59Z",
"updatedAt": "2023-12-31T23:59:59Z",
"clientTxId": "CLIENT12345",
"fromAddress": "0xabc123...",
"toAddress": "0xdef456...",
"hash": "0xhash123...",
"transactionLink": "https://explorer.com/tx/0xhash123",
"tagMemo": "Payment123"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Sub Wallet Endpoints
Get List of Sub-Wallet Deposits
Retrieve a paginated list of sub-wallet deposits.
GET
/
v1
/
sub-wallet
/
deposit
/
list
Get List of Sub-Wallet Deposits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the sub wallet
The deposit identifier
The hash of the deposit transaction
The source address of the deposit
The destination address of the deposit
The 'chain' name.
Refer to the Get Recharge Currencies endpoint for the list of supported chains.
The token name
The page number for pagination
The number of items per page for pagination
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)